# $Revision: 1.2 $, $Date: 2001/06/03 15:17:53 $
Summary:	VideoCD (pre-)mastering and ripping tool
Summary(pl):	VideoCD generation tool
Name:		vcdimager
Version:	0.6.2
Release:	2
License:	GPL
Group:		Applications/File
Group(de):	Applikationen/Datei
Group(pl):	Aplikacje/Pliki
URL:		http://www.gnu.org/software/vcdimager/
Source0:	http://www.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-m4.patch
Patch1:		%{name}-am_ac.patch
Patch2:		%{name}-info.patch
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	autoconf
Requires:	fix-info-dir
# required only for m4 macros
BuildRequires:	gnome-libs-devel
BuildRequires:	popt-devel
BuildRequires:	texinfo
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files. VCDRip, which comes with VCDImager, does the
reverse operation. That is, ripping mpeg streams from images (and
already burned VideoCDs) and showing some information about the
VideoCD.

%description -l pl
VCDImager pozwala Ci na tworzenie obrazw VideoCD BIN/CUE z plikw
mpeg, ktre nastpnie mog by wypalone za pomoc cdrdao lub innego
programu zdolnego do wypalania plikw BIN/CUE. VCDRip dostarczany wraz
z VCDImager pozwala na wykonanie odwrotnej operacji tzn. zrzucenia
strumienia mpeg z obrazw (oraz ju wypalonych pyt VideoCD).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm missing
libtoolize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9fn AUTHORS ChangeLog NEWS README TODO

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vcdimager.spec,v $
Revision 1.2  2001/06/03 15:17:53  kloczek
- release 2,
- added info patch with fox info index entries for vcdimager.

Revision 1.1  2001/06/03 09:28:48  misiek
- initial pld release


